package com.uas.report.axis.authority;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class UserAndRoleManagement {

	private Logger logger = LoggerFactory.getLogger(getClass());

	public WSUser[] findUsers(WSUserSearchCriteria criteria) {
		logger.info(criteria.toString());
		return null;
	}

	public WSUser putUser(WSUser user) {
		logger.info(user.toString());
		return null;
	}

	public void deleteUser(WSUser user) {
		logger.info(user.toString());
	}

	public WSRole[] findRoles(WSRoleSearchCriteria criteria) {
		logger.info(criteria.toString());
		return null;
	}

	public WSRole putRole(WSRole role) {
		logger.info(role.toString());
		return null;
	}

	public WSRole updateRoleName(WSRole oldRole, String newName) {
		logger.info(oldRole.toString(), newName);
		return null;
	}

	public void deleteRole(WSRole role) {
		logger.info(role.toString());
	}
}
